RenderTextFieldUtil (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.util

## Class RenderTextFieldUtil

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.util.RenderTextFieldUtil

-     public class RenderTextFieldUtil
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RenderTextFieldUtil.Function`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderTextFieldUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `safeFunctionCallOn(com.extjs.gxt.ui.client.widget.Component c, RenderTextFieldUtil.Function f)` Safe function call on a component, which was rendered or not.
    `static void` | `setTextAttr(com.extjs.gxt.ui.client.widget.Text text, String cssAttrNm, String attrVal)`
    `static void` | `setTextFieldAttr(com.extjs.gxt.ui.client.widget.form.Field<?> textField, String cssAttrNm, String attrVal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderTextFieldUtil

          public RenderTextFieldUtil()

  - ### Method Detail

    - #### safeFunctionCallOn

          public static void safeFunctionCallOn(com.extjs.gxt.ui.client.widget.Component c,
                                RenderTextFieldUtil.Function f)

      Safe function call on a component, which was rendered or not.
      Parameters:
        `c` - Component object that must be not null.
        `f` - Function object with the function that must be called.

    - #### setTextFieldAttr

          public static void setTextFieldAttr(com.extjs.gxt.ui.client.widget.form.Field<?> textField,
                              String cssAttrNm,
                              String attrVal)

    - #### setTextAttr

          public static void setTextAttr(com.extjs.gxt.ui.client.widget.Text text,
                         String cssAttrNm,
                         String attrVal)

Copyright © 2013. All Rights Reserved.